org.eclipse.net4j.db

## Interface IDBDatabase.SchemaChangedEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    IDBDatabase

      public static interface IDBDatabase.SchemaChangedEvent
      extends IEvent

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBSchemaDelta` | `getSchemaDelta()`
    `IDBDatabase` | `getSource()`

- - ### Method Detail

    - #### getSource

          IDBDatabase getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getSchemaDelta

          IDBSchemaDelta getSchemaDelta()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html